Bug 228876 - converters/fribidi: Update to 1.0.10
Summary: converters/fribidi: Update to 1.0.10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-desktop (Team)
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-06-10 19:10 UTC by David Naylor
Modified: 2020-09-24 13:16 UTC (History)
9 users (show)

See Also:
duchateau.olivier: exp-run?


Attachments
Update fribidi to 1.0.5 (3.51 KB, patch)
2018-08-07 19:16 UTC, David Naylor
no flags Details | Diff
fribidi-1.0.9.patch (3.26 KB, patch)
2020-04-16 00:46 UTC, Greg V
no flags Details | Diff
Patch to update converters/fribidi to 1.0.10 (3.16 KB, patch)
2020-09-14 05:58 UTC, Olivier Duchateau
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Naylor freebsd_committer 2018-06-10 19:10:59 UTC
When disabling the use of FreeBSD's distfiles cache fabridi fails to fetch:
===>  License LGPL21 accepted by the user
=> fribidi-0.19.7.tar.bz2 doesn't seem to exist in /portdistfiles/.
=> Attempting to fetch http://fribidi.org/download/fribidi-0.19.7.tar.bz2
fetch: http://fribidi.org/download/fribidi-0.19.7.tar.bz2: Not Found
=> Couldn't fetch it - please try to retrieve this
=> port manually into /portdistfiles/ and try again.
*** Error code 1

See http://dbn.westeurope.cloudapp.azure.com/11_1-amd64-default-mono/2018-06-11_00h25m57s/logs/errors/fribidi-0.19.7.log for details
Comment 1 David Naylor freebsd_committer 2018-08-07 19:16:48 UTC
Created attachment 195986 [details]
Update fribidi to 1.0.5

I see the fribidi website has expired.  I think keeping fribidi as a MASTER_SITES does pose a (limited) security risk.  

The attached patch updates the port to 1.0.5 (from Github).
Comment 2 Tobias Kortkamp freebsd_committer 2018-09-15 11:01:12 UTC
(In reply to David Naylor from comment #1)

A static release tarball is still available from
https://github.com/fribidi/fribidi/releases/download/v1.0.5/fribidi-1.0.5.tar.bz2
which should be preferred over the non-deterministic tarballs git-archive(1)
(-> USE_GITHUB) generates.  Since it has pre-generated
autotools files and man pages, you can probably also drop the c2man
and autoreconf build dependencies again.
Comment 3 wen 2019-01-11 02:27:56 UTC
It build well for me.
Many ports depends on fribidi, maybe it should ask for a exp-run ?

wen
Comment 4 voidanix 2020-01-14 14:42:32 UTC
(In reply to David Naylor from comment #0)

Just caught the same error today, the following lines probably mean that the official website doesn't host the tarballs anymore:

fetch: http://fribidi.org/download/fribidi-0.19.7.tar.bz2: size of remote file is not known
fribidi-0.19.7.tar.bz2                                  10 kB   57 kBps    00s
=> Fetched file size mismatch (expected 648299, actual 10414)
=> Trying next site
[...]
=> Couldn't fetch it - please try to retrieve this
=> port manually into /portdistfiles/ and try again.

Also, 1.0.8 is out, if you could update the patch that would be great
Comment 5 Greg V 2020-04-16 00:46:00 UTC
Created attachment 213439 [details]
fribidi-1.0.9.patch

here's 1.0.9 with switching to meson build (and against current ports which have already switched to downloading from github releases)
Comment 6 Olivier Duchateau 2020-09-14 05:58:07 UTC
Created attachment 217942 [details]
Patch to update converters/fribidi to 1.0.10

- Update to v1.0.10
- Adjust dependencies
Comment 8 Wen Heping freebsd_committer 2020-09-16 23:55:08 UTC
(In reply to Antoine Brodin from comment #7)
Update converters/p5-Text-Bidi to 2.15 and it build.
Comment 9 Baptiste Daroussin freebsd_committer 2020-09-24 13:16:04 UTC
Sorry I missed that PR, I committed an upgrade of fribidi already! thank you for your submission!